package com.xkrs.common.encapsulation;

import java.io.Serializable;

/**
 * 输出信息对象
 * @author tajochen
 * @param <T>
 */
public class EncapsulationObejct<T> implements Serializable {

    /**
     * 状态码
     */
    int status;

    /**
     * 提示信息
     */
    String msg;

    /**
     * 数据
     */
    T data;

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return "EncapsulationObejct{" +
                "status=" + status +
                ", msg='" + msg + '\'' +
                ", data=" + data +
                '}';
    }
}
